import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class RoomEntity with JsonConvert<RoomEntity> {
  List<RoomList>? list;
}

class RoomList with JsonConvert<RoomList> {
  String? cover;
  String? liveNotice;
  int? id;
  String? label;
  String? language;
  String? rid;
  String? roomName;
  //房间查询信息
  String? size;
  String? playName;
  //创建人
  String? nickname;
  String? headImage;
  String? birthday;
  String? gender;
  String? follow;

  String getAgeYear() {
    try {
      return ', ${DateTime.now().year - DateTime.parse(birthday!).year}';
    } catch (e) {
      return '';
    }
  }
}
