import 'package:mmoo_base/generated/json/base/json_convert_content.dart';

class VideoListEntity with JsonConvert<VideoListEntity> {
  List<VideoListBean>? list;
}

class VideoListBean with JsonConvert<VideoListBean> {
  String? favCount;
  String? id;
  String? info;
  String? lookCount;
  String? picUrl;
  String? price;
  String? status; //0等待审核1审核通过2审核被拒绝
  String? videoId;
  UserBean? user;
  String? buyStatus; //0未购买，1 已经购买
  String? favStatus; //0未收藏 1已收藏
  String? videoUrl; //本地缓存的视频播放地址
}

class UserBean with JsonConvert<UserBean> {
  String? headImage;
  String? id;
  String? isCare; //0不关注，1关注 ,
  String? nickName;
  String? online;
}
