import 'package:mmoo_base/entity/block_entity.dart';

blockEntityFromJson(BlockEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => BlockList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> blockEntityToJson(BlockEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

blockListFromJson(BlockList data, Map<String, dynamic> json) {
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['blockTime'] != null) {
		data.blockTime = json['blockTime'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	return data;
}

Map<String, dynamic> blockListToJson(BlockList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['blockTime'] = entity.blockTime;
	data['userId'] = entity.userId;
	return data;
}