import 'package:mmoo_base/entity/history_call_entity.dart';

historyCallEntityFromJson(HistoryCallEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => HistoryCallList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> historyCallEntityToJson(HistoryCallEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

historyCallListFromJson(HistoryCallList data, Map<String, dynamic> json) {
	if (json['duration'] != null) {
		data.duration = json['duration'].toString();
	}
	if (json['isAnchor'] != null) {
		data.isAnchor = json['isAnchor'].toString();
	}
	if (json['nickName'] != null) {
		data.nickName = json['nickName'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['time'] != null) {
		data.time = json['time'].toString();
	}
	if (json['headPic'] != null) {
		data.headPic = json['headPic'].toString();
	}
	if (json['country'] != null) {
		data.country = json['country'].toString();
	}
	if (json['birth'] != null) {
		data.birth = json['birth'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	return data;
}

Map<String, dynamic> historyCallListToJson(HistoryCallList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['duration'] = entity.duration;
	data['isAnchor'] = entity.isAnchor;
	data['nickName'] = entity.nickName;
	data['id'] = entity.id;
	data['time'] = entity.time;
	data['headPic'] = entity.headPic;
	data['country'] = entity.country;
	data['birth'] = entity.birth;
	data['gender'] = entity.gender;
	data['type'] = entity.type;
	data['online'] = entity.online;
	return data;
}