import 'package:mmoo_base/entity/history_con_entity.dart';

historyConEntityFromJson(HistoryConEntity data, Map<String, dynamic> json) {
	if (json['consume'] != null) {
		data.consume = (json['consume'] as List).map((v) => HistoryConList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> historyConEntityToJson(HistoryConEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['consume'] =  entity.consume?.map((v) => v.toJson())?.toList();
	return data;
}

historyConListFromJson(HistoryConList data, Map<String, dynamic> json) {
	if (json['cost'] != null) {
		data.cost = json['cost'].toString();
	}
	if (json['ctype'] != null) {
		data.ctype = json['ctype'].toString();
	}
	if (json['date'] != null) {
		data.date = json['date'].toString();
	}
	if (json['image'] != null) {
		data.image = json['image'].toString();
	}
	if (json['duration'] != null) {
		data.duration = json['duration'].toString();
	}
	return data;
}

Map<String, dynamic> historyConListToJson(HistoryConList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['cost'] = entity.cost;
	data['ctype'] = entity.ctype;
	data['date'] = entity.date;
	data['image'] = entity.image;
	data['duration'] = entity.duration;
	return data;
}