import 'package:mmoo_base/entity/init_gift_entity.dart';

initGiftEntityFromJson(InitGiftEntity data, Map<String, dynamic> json) {
	if (json['gifts'] != null) {
		data.gifts = (json['gifts'] as List).map((v) => InitGift().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> initGiftEntityToJson(InitGiftEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['gifts'] =  entity.gifts?.map((v) => v.toJson())?.toList();
	return data;
}

initGiftFromJson(InitGift data, Map<String, dynamic> json) {
	if (json['gifUrl'] != null) {
		data.gifUrl = json['gifUrl'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['preUrl'] != null) {
		data.preUrl = json['preUrl'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['check'] != null) {
		data.check = json['check'];
	}
	if (json['to'] != null) {
		data.to = json['to'].toString();
	}
	return data;
}

Map<String, dynamic> initGiftToJson(InitGift entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['gifUrl'] = entity.gifUrl;
	data['price'] = entity.price;
	data['preUrl'] = entity.preUrl;
	data['name'] = entity.name;
	data['id'] = entity.id;
	data['check'] = entity.check;
	data['to'] = entity.to;
	return data;
}