import 'package:mmoo_base/entity/translator_entity.dart';

translatorEntityFromJson(TranslatorEntity data, Map<String, dynamic> json) {
	if (json['msgId'] != null) {
		data.msgId = json['msgId'].toString();
	}
	if (json['text'] != null) {
		data.text = json['text'].toString();
	}
	if (json['data'] != null) {
		data.data = json['data'].toString();
	}
	return data;
}

Map<String, dynamic> translatorEntityToJson(TranslatorEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['msgId'] = entity.msgId;
	data['text'] = entity.text;
	data['data'] = entity.data;
	return data;
}