import 'package:flutter/foundation.dart';
import 'package:mmoo_base/entity/user_entity.dart';

class UserProvider extends ChangeNotifier {
  late UserEntity userEntity;

  void setUserEntity(UserEntity userEntity) {
    this.userEntity = userEntity;
    super.notifyListeners();
  }

  void setUserMoney(String? money) {
    if (money?.isEmpty == false) {
      this.userEntity.money = money;
      super.notifyListeners();
    }
  }

  void notifyListeners() {
    super.notifyListeners();
  }
}
