import 'package:mmoo_base/entity/care_entity.dart';

careEntityFromJson(CareEntity data, Map<String, dynamic> json) {
	if (json['list'] != null) {
		data.list = (json['list'] as List).map((v) => CareList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> careEntityToJson(CareEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['list'] =  entity.list?.map((v) => v.toJson())?.toList();
	return data;
}

careListFromJson(CareList data, Map<String, dynamic> json) {
	if (json['flowerEach'] != null) {
		data.flowerEach = json['flowerEach'].toString();
	}
	if (json['price'] != null) {
		data.price = json['price'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['isUser'] != null) {
		data.isUser = json['isUser'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	if (json['desc'] != null) {
		data.desc = json['desc'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	return data;
}

Map<String, dynamic> careListToJson(CareList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['flowerEach'] = entity.flowerEach;
	data['price'] = entity.price;
	data['headImage'] = entity.headImage;
	data['name'] = entity.name;
	data['online'] = entity.online;
	data['isUser'] = entity.isUser;
	data['userId'] = entity.userId;
	data['desc'] = entity.desc;
	data['birthday'] = entity.birthday;
	return data;
}