import 'package:mmoo_base/entity/daily_entity.dart';

dailyEntityFromJson(DailyEntity data, Map<String, dynamic> json) {
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	if (json['model'] != null) {
		data.model = (json['model'] as List).map((v) => DailyBean().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> dailyEntityToJson(DailyEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['type'] = entity.type;
	data['model'] =  entity.model?.map((v) => v.toJson())?.toList();
	return data;
}

dailyBeanFromJson(DailyBean data, Map<String, dynamic> json) {
	if (json['giftUrl'] != null) {
		data.giftUrl = json['giftUrl'].toString();
	}
	if (json['isSign'] != null) {
		data.isSign = json['isSign'].toString();
	}
	if (json['num'] != null) {
		data.num = json['num'].toString();
	}
	if (json['signId'] != null) {
		data.signId = json['signId'].toString();
	}
	if (json['sort'] != null) {
		data.sort = json['sort'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	return data;
}

Map<String, dynamic> dailyBeanToJson(DailyBean entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['giftUrl'] = entity.giftUrl;
	data['isSign'] = entity.isSign;
	data['num'] = entity.num;
	data['signId'] = entity.signId;
	data['sort'] = entity.sort;
	data['type'] = entity.type;
	return data;
}