import 'package:mmoo_base/entity/history_match_entity.dart';

historyMatchEntityFromJson(HistoryMatchEntity data, Map<String, dynamic> json) {
	if (json['matchList'] != null) {
		data.matchList = (json['matchList'] as List).map((v) => HistoryMatchList().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> historyMatchEntityToJson(HistoryMatchEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['matchList'] =  entity.matchList?.map((v) => v.toJson())?.toList();
	return data;
}

historyMatchListFromJson(HistoryMatchList data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['age'] != null) {
		data.age = json['age'].toString();
	}
	if (json['cost'] != null) {
		data.cost = json['cost'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['times'] != null) {
		data.times = json['times'].toString();
	}
	return data;
}

Map<String, dynamic> historyMatchListToJson(HistoryMatchList entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['nickname'] = entity.nickname;
	data['age'] = entity.age;
	data['cost'] = entity.cost;
	data['headImage'] = entity.headImage;
	data['online'] = entity.online;
	data['times'] = entity.times;
	return data;
}