import 'package:mmoo_base/entity/init_config_entity.dart';

initConfigEntityFromJson(InitConfigEntity data, Map<String, dynamic> json) {
	if (json['configs'] != null) {
		data.configs = (json['configs'] as List).map((v) => InitConfig().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> initConfigEntityToJson(InitConfigEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['configs'] =  entity.configs?.map((v) => v.toJson())?.toList();
	return data;
}

initConfigFromJson(InitConfig data, Map<String, dynamic> json) {
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	return data;
}

Map<String, dynamic> initConfigToJson(InitConfig entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['name'] = entity.name;
	data['value'] = entity.value;
	data['type'] = entity.type;
	return data;
}