import 'package:mmoo_base/entity/recommend_entity.dart';

recommendEntityFromJson(RecommendEntity data, Map<String, dynamic> json) {
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'] is String
				? int.tryParse(json['userId'])
				: json['userId'].toInt();
	}
	if (json['videoId'] != null) {
		data.videoId = json['videoId'].toString();
	}
	return data;
}

Map<String, dynamic> recommendEntityToJson(RecommendEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['birthday'] = entity.birthday;
	data['headImage'] = entity.headImage;
	data['nickname'] = entity.nickname;
	data['userId'] = entity.userId;
	data['videoId'] = entity.videoId;
	return data;
}