import 'package:mmoo_base/entity/token_entity.dart';

tokenEntityFromJson(TokenEntity data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['token'] != null) {
		data.token = json['token'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['imageUrl'] != null) {
		data.imageUrl = json['imageUrl'].toString();
	}
	if (json['money'] != null) {
		data.money = json['money'].toString();
	}
	if (json['addMoney'] != null) {
		data.addMoney = json['addMoney'].toString();
	}
	if (json['payed'] != null) {
		data.payed = json['payed'].toString();
	}
	if (json['isReport'] != null) {
		data.isReport = json['isReport'].toString();
	}
	if (json['sendCoins'] != null) {
		data.sendCoins = json['sendCoins'].toString();
	}
	if (json['userBalance'] != null) {
		data.userBalance = json['userBalance'].toString();
	}
	if (json['rtmToken'] != null) {
		data.rtmToken = json['rtmToken'].toString();
	}
	if (json['rtcToken'] != null) {
		data.rtcToken = json['rtcToken'].toString();
	}
	if (json['canCall'] != null) {
		data.canCall = json['canCall'].toString();
	}
	if (json['reason'] != null) {
		data.reason = json['reason'].toString();
	}
	if (json['cont'] != null) {
		data.cont = json['cont'].toString();
	}
	if (json['time'] != null) {
		data.time = json['time'].toString();
	}
	if (json['second'] != null) {
		data.second = json['second'].toString();
	}
	if (json['inHouse'] != null) {
		data.inHouse = json['inHouse'].toString();
	}
	if (json['serial'] != null) {
		data.serial = json['serial'].toString();
	}
	if (json['houseId'] != null) {
		data.houseId = json['houseId'].toString();
	}
	if (json['nickName'] != null) {
		data.nickName = json['nickName'].toString();
	}
	if (json['total'] != null) {
		data.total = json['total'].toString();
	}
	if (json['matchCount'] != null) {
		data.matchCount = json['matchCount'] is String
				? int.tryParse(json['matchCount'])
				: json['matchCount'].toInt();
	}
	return data;
}

Map<String, dynamic> tokenEntityToJson(TokenEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['token'] = entity.token;
	data['url'] = entity.url;
	data['imageUrl'] = entity.imageUrl;
	data['money'] = entity.money;
	data['addMoney'] = entity.addMoney;
	data['payed'] = entity.payed;
	data['isReport'] = entity.isReport;
	data['sendCoins'] = entity.sendCoins;
	data['userBalance'] = entity.userBalance;
	data['rtmToken'] = entity.rtmToken;
	data['rtcToken'] = entity.rtcToken;
	data['canCall'] = entity.canCall;
	data['reason'] = entity.reason;
	data['cont'] = entity.cont;
	data['time'] = entity.time;
	data['second'] = entity.second;
	data['inHouse'] = entity.inHouse;
	data['serial'] = entity.serial;
	data['houseId'] = entity.houseId;
	data['nickName'] = entity.nickName;
	data['total'] = entity.total;
	data['matchCount'] = entity.matchCount;
	return data;
}