import 'package:mmoo_base/entity/update_entity.dart';

updateEntityFromJson(UpdateEntity data, Map<String, dynamic> json) {
	if (json['info'] != null) {
		data.info = json['info'].toString();
	}
	if (json['md5'] != null) {
		data.md5 = json['md5'].toString();
	}
	if (json['must'] != null) {
		data.must = json['must'].toString();
	}
	if (json['size'] != null) {
		data.size = json['size'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	if (json['version'] != null) {
		data.version = json['version'].toString();
	}
	return data;
}

Map<String, dynamic> updateEntityToJson(UpdateEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['info'] = entity.info;
	data['md5'] = entity.md5;
	data['must'] = entity.must;
	data['size'] = entity.size;
	data['url'] = entity.url;
	data['version'] = entity.version;
	return data;
}